Nimbu Developer Docs
ReferenceCustomers

Update customer customizations

PUT
/customers/customizations

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/customers/customizations" \  -H "Content-Type: application/json" \  -d '[    {      "name": "string",      "label": "string",      "type": "string"    }  ]'
[
  {
    "name": "string",
    "label": "string",
    "hint": "string",
    "type": "string",
    "required": true,
    "required_expression": "string",
    "immutable": true,
    "localized": true,
    "unique": true,
    "encrypted": true,
    "auto_expand": true,
    "select_options": [
      {
        "id": "string",
        "position": 0,
        "name": "string",
        "slug": "string"
      }
    ],
    "private_storage": true,
    "text_formatting": "string",
    "reference": "string",
    "geo_type": "string",
    "calculated_expression": "string",
    "calculation_type": "string",
    "id": "string",
    "url": "http://example.com",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]